Class | Rubygame::EventActions::MultiAction
In: | lib/rubygame/event_actions.rb
Parent: | Object

MultiAction is an event action used with EventHook. It takes zero or more actions (e.g. BlockAction or MethodAction instances) at initialization.

When MultiAction is performed, it performs all the given actions, in the order they were given, passing in the owner and event.

As the name suggests, you can use MultiAction to cause multiple actions to occur when an EventHook is triggered.

### Methods

new perform

### Public Class methods

new( *actions )

Create a new MultiAction instance with the given sub-actions.

*actions: | the actions to perform. (Action instances)

### Public Instance methods

perform( owner, event )

Performs all the sub-actions, in the order they were given, passing in the owner and event to each one.

[Validate]